<!-- {% extends "base.html" %} -->

<!-- TODO:抽象出模板 -->

{% block app_content %}
    <div class="container">
        <div class="row" style="word-break: break-all">
            <div class="col-md-12">
                <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item">
                        {% if postType == 'mytopic' %}
                            <a class="nav-link active" href="/bbs/mypost/mytopic">我发起的讨论</a>
                        {% else %}
                            <a class="nav-link" href="/bbs/mypost/mytopic">我发起的讨论</a>
                        {% endif %}
                    </li>
                    <li class="nav-item">
                        {% if postType == 'myreply' %}
                            <a class="nav-link active" href="/bbs/mypost/myreply">我参与的讨论</a>
                        {% else %}
                            <a class="nav-link" href="/bbs/mypost/myreply">我参与的讨论</a>
                        {% endif %}
                    </li>
                </ul>
                <br>
                <div class="container">
                    <div class="row">
						{% if postType == 'mytopic' %}
						<div class="col-md-12">
                            {% if posts %}
                            {% for post in posts %}
							<article>
							    <div>
									<h4><a href={{ url_for('bbs_post', post_id = post.Post_ID, replied_id = 0) }}>
										{{ post.Topic }}</a>
										{% if post.IsPosted == False %}
										<small>&nbsp;&nbsp;<span class="text text-success">草稿</span></small>
										{% endif %}
										<a class="text text-danger" href="#DeletePostModal{{post.Post_ID}}" data-toggle="modal"><small>&nbsp;&nbsp;删除</small></a>
										<!-- 模态框 -->
										<div class="modal fade" id="DeletePostModal{{post.Post_ID}}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
											<div class="modal-dialog">
												<div class="modal-content">
													<div class="modal-header">
														<h4 class="modal-title" id="myModalLabel">删除讨论</h4>
													</div>
													<div class="modal-body"><small><font size="medium">讨论删除后无法恢复，是否确认删除？</font></small></div>
													<div class="modal-footer">
														<a class="btn btn-danger" href={{ url_for('bbs_delete', postType = postType, delete_id = post.Post_ID) }}>确认删除</a>
														<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
													</div>
												</div>
											</div>
										</div>
									</h4>
								</div>
								<div>
									<ul class="list-inline">
										<li class="list-inline-item">{{ post.Course }}</li>
										<li class="list-inline-item">{{ post.Timestamp.strftime("%Y-%m-%d %H:%M:%S") }}</li>
										<br>
										<li class="list-inline-item">{{ post.Body[0:150] }}……<br>
											<a class="text text-info" href={{ url_for('bbs_post', post_id = post.Post_ID, replied_id = 0) }}>查看详情</a>
										</li>
									</ul>
								</div>
                            </article>
							{% endfor %}
                            {% else %}
                            <article>
                                 <ul class="list-inline">
                                    <li class="list-inline-item">已经到底了，下面什么也没有了嗷</li>
                                </ul>
                            </article>
                            {% endif %}
                            <nav>
                                <ul class="pagination justify-content-center">
                                    <li class="page-item">
                                    {% if paginate1.has_prev %}
                                        <a class="page-link" href="?page={{ paginate1.prev_num }}">
                                        &laquo;</a>
                                    {% else %}
                                        <a class="page-link">&laquo;</a>
                                    {% endif %}
                                    </li>
                                    <li class="page-item">
                                        <a class="page-link" href="?page={{ paginate1.page }}">
                                        {{ paginate1.page }}</a>
                                    </li>
                                    <li class="page-item">
                                    {% if paginate1.has_next %}
                                        <a class="page-link" href="?page={{ paginate1.next_num }}">
                                        &raquo;</a>
                                    {% else %}
                                        <a class="page-link">&raquo;</a>
                                    {% endif %}
                                    </li>
                                </ul>
                            </nav>
                        </div>
						{% else %}
						<div class="col-md-12">
                            {% if comments %}
                            {% for comment in comments %}
                            <article>
								<div>
									<h4><a href={{ url_for('bbs_post', post_id = comment.Post_ID, replied_id = 0) }}>
										{{ comment.Topic }}</a>
										<a class="text text-danger" href="#DeleteCommentModal{{comment.Comment_ID}}" data-toggle="modal"><small>&nbsp;&nbsp;删除</small></a>
										<!-- 模态框 -->
										<div class="modal fade" id="DeleteCommentModal{{comment.Comment_ID}}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
											<div class="modal-dialog">
												<div class="modal-content">
													<div class="modal-header">
														<h4 class="modal-title" id="myModalLabel">删除评论</h4>
													</div>
													<div class="modal-body"><small><font size="medium">评论删除后无法恢复，是否确认删除？</font></small></div>
													<div class="modal-footer">
														<a class="btn btn-danger" href={{ url_for('bbs_delete', postType = postType, delete_id = comment.Comment_ID) }}>确认删除</a>
														<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
													</div>
												</div>
											</div>
										</div>
									</h4>
								</div>
								<div>
									<ul class="list-inline">
										<li class="list-inline-item">{{ comment.Timestamp.strftime("%Y-%m-%d %H:%M:%S") }}</li>
										<br>
										<li class="list-inline-item">{{ comment.Body[0:150] }}……<br>
											<a class="text text-info" href={{ url_for('bbs_post', post_id = comment.Post_ID, replied_id = 0) }}>查看详情</a>
										</li>
									</ul>
								</div>
                            </article>
                            {% endfor %}
                            {% else %}
                            <article>
                                 <ul class="list-inline">
                                    <li class="list-inline-item">已经到底了，下面什么也没有了嗷</li>
                                </ul>
                            </article>
                            {% endif %}
                            <nav>
                                <ul class="pagination justify-content-center">
                                    <li class="page-item">
                                    {% if paginate2.has_prev %}
                                        <a class="page-link" href="?page={{ paginate2.prev_num }}">
                                        &laquo;</a>
                                    {% else %}
                                        <a class="page-link">&laquo;</a>
                                    {% endif %}
                                    </li>
                                    <li class="page-item">
                                        <a class="page-link" href="?page={{ paginate2.page }}">
                                        {{ paginate2.page }}</a>
                                    </li>
                                    <li class="page-item">
                                    {% if paginate2.has_next %}
                                        <a class="page-link" href="?page={{ paginate2.next_num }}">
                                        &raquo;</a>
                                    {% else %}
                                        <a class="page-link">&raquo;</a>
                                    {% endif %}
                                    </li>
                                </ul>
                            </nav>
                        </div>						
						{% endif %}
					</div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}